Subject: Re: bug#77118: 31.0.50; help-key-binding face in help buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 19 Mar 2025 17:11:54 -0400

>> The reason seems to be in the implementation of `help-form-show' using
>> `princ' which strips properties.  If this is intentional, it doesn't
>> match definitions of `help-form' in Emacs tree.  Take for example
>> dired-aux.el which pushes the string for `help-form' also through
>> `substitute-command-keys'[1,2,3].
> Stefan, any comments or reasons why we use princ there?

Not sure which Stefan you were thinking of, but the other Stefan's
answer sounds right to me.

        Stefan